Update a specific Retrospective Process Group by id
curl --request PUT \
--url https://api.rootly.com/v1/retrospective_process_groups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "retrospective_process_groups",
"attributes": {
"sub_status_id": "<string>",
"position": 123
}
}
}
'{
"data": {
"id": "4d1b71e1-7374-45f7-9eba-68ab176c0350",
"type": "retrospective_process_groups",
"attributes": {
"retrospective_process_id": "5c412969-3b43-4605-b867-7ac4d94c1723",
"sub_status_id": "a4557d8d-b909-40ab-bf51-7642c2f1a0b8",
"position": 1,
"updated_at": "2026-02-07T16:50:14.929-08:00",
"created_at": "2026-02-07T16:50:14.929-08:00"
},
"relationships": {
"retrospective_process_group_steps": {
"data": []
}
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
retrospective_process_group updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/retrospective_process_groups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "retrospective_process_groups",
"attributes": {
"sub_status_id": "<string>",
"position": 123
}
}
}
'{
"data": {
"id": "4d1b71e1-7374-45f7-9eba-68ab176c0350",
"type": "retrospective_process_groups",
"attributes": {
"retrospective_process_id": "5c412969-3b43-4605-b867-7ac4d94c1723",
"sub_status_id": "a4557d8d-b909-40ab-bf51-7642c2f1a0b8",
"position": 1,
"updated_at": "2026-02-07T16:50:14.929-08:00",
"created_at": "2026-02-07T16:50:14.929-08:00"
},
"relationships": {
"retrospective_process_group_steps": {
"data": []
}
}
}
}